Topic: Missing Dependency: libaio.so.1 mysql-server-5.5.13-1.el5.remi.x86_64

I have tried everything I know to resolve this and have no luck. Anyone else have this issue? Thanks in advance!

[root@cloud ~]# yum --enablerepo=remi --enablerepo=remi-test --disablerepo=updates,base,atomic upgrade mysql mysql-server
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* epel: mirror.symnds.com
* remi: iut-info.univ-reims.fr
* rpmforge: ftp-stud.fht-esslingen.de
Setting up Upgrade Process
Resolving Dependencies
--> Running transaction check
--> Processing Dependency: mysql = 5.1.56-1.el5.art for package: mysql-devel
---> Package mysql.x86_64 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: mysql-libs = 5.5.13-1.el5.remi for package: mysql
---> Package mysql-server.x86_64 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1()(64bit) for package: mysql-server
--> Running transaction check
---> Package mysql-devel.x86_64 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libmysqlclient.so.16()(64bit) for package: php-mysql
--> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16)(64bit) for package: php-mysql
---> Package mysql-libs.x86_64 0:5.5.13-1.el5.remi set to be updated
---> Package mysql-server.x86_64 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1()(64bit) for package: mysql-server
--> Running transaction check
---> Package mysql-server.x86_64 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1()(64bit) for package: mysql-server
---> Package php-mysql.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
--> Processing Dependency: php-pdo = 5.3.7-0.2.RC1.el5.remi for package: php-mysql
--> Running transaction check
---> Package mysql-server.x86_64 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1()(64bit) for package: mysql-server
---> Package php-pdo.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
--> Processing Dependency: php-common = 5.3.7-0.2.RC1.el5.remi for package: php-pdo
--> Running transaction check
---> Package mysql-server.x86_64 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1()(64bit) for package: mysql-server
--> Processing Dependency: php-common = 5.3.6-3.el5.art for package: php-pgsql
--> Processing Dependency: php-common = 5.3.6-3.el5.art for package: php-soap
--> Processing Dependency: php-common = 5.3.6-3.el5.art for package: php-xml
--> Processing Dependency: php-common = 5.3.6-3.el5.art for package: php-mbstring
--> Processing Dependency: php-common = 5.3.6-3.el5.art for package: php-ldap
--> Processing Dependency: php-common = 5.3.6-3.el5.art for package: php-mcrypt
--> Processing Dependency: php-common = 5.3.6-3.el5.art for package: php-snmp
--> Processing Dependency: php-common = 5.3.6-3.el5.art for package: php-gd
--> Processing Dependency: php-common = 5.3.6-3.el5.art for package: php-cli
--> Processing Dependency: php-common = 5.3.6-3.el5.art for package: php-xmlrpc
--> Processing Dependency: php-common = 5.3.6-3.el5.art for package: php-imap
--> Processing Dependency: php-common = 5.3.6-3.el5.art for package: php
--> Processing Dependency: php-common = 5.3.6-3.el5.art for package: php-tidy
--> Processing Dependency: php-common = 5.3.6-3.el5.art for package: php-odbc
---> Package php-common.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
--> Running transaction check
---> Package mysql-server.x86_64 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1()(64bit) for package: mysql-server
--> Processing Dependency: php = 5.3.6-3.el5.art for package: php-devel
---> Package php.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
---> Package php-cli.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
---> Package php-gd.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
---> Package php-imap.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
---> Package php-ldap.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
---> Package php-mbstring.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
---> Package php-mcrypt.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
---> Package php-odbc.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
---> Package php-pgsql.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
---> Package php-snmp.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
---> Package php-soap.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
---> Package php-tidy.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
---> Package php-xml.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
---> Package php-xmlrpc.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
--> Running transaction check
---> Package mysql-server.x86_64 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1()(64bit) for package: mysql-server
---> Package php-devel.x86_64 0:5.3.7-0.2.RC1.el5.remi set to be updated
--> Finished Dependency Resolution
mysql-server-5.5.13-1.el5.remi.x86_64 from remi has depsolving problems
  --> Missing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) is needed by package mysql-server-5.5.13-1.el5.remi.x86_64 (remi)
mysql-server-5.5.13-1.el5.remi.x86_64 from remi has depsolving problems
  --> Missing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) is needed by package mysql-server-5.5.13-1.el5.remi.x86_64 (remi)
mysql-server-5.5.13-1.el5.remi.x86_64 from remi has depsolving problems
  --> Missing Dependency: libaio.so.1()(64bit) is needed by package mysql-server-5.5.13-1.el5.remi.x86_64 (remi)
Error: Missing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) is needed by package mysql-server-5.5.13-1.el5.remi.x86_64 (remi)
Error: Missing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) is needed by package mysql-server-5.5.13-1.el5.remi.x86_64 (remi)
Error: Missing Dependency: libaio.so.1()(64bit) is needed by package mysql-server-5.5.13-1.el5.remi.x86_64 (remi)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest

Re: Missing Dependency: libaio.so.1 mysql-server-5.5.13-1.el5.remi.x86_64

I also excluded php, but still no luck...

yum --enablerepo=remi --enablerepo=remi-test --disablerepo=updates,base,atomic --exclude=php\* upgrade mysql mysql-server
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* epel: mirror.symnds.com
* remi: iut-info.univ-reims.fr
* rpmforge: ftp-stud.fht-esslingen.de
Excluding Packages in global exclude list
Finished
Setting up Upgrade Process
Resolving Dependencies
--> Running transaction check
--> Processing Dependency: mysql = 5.1.56-1.el5.art for package: mysql-devel
---> Package mysql.x86_64 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: mysql-libs = 5.5.13-1.el5.remi for package: mysql
---> Package mysql-server.x86_64 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1()(64bit) for package: mysql-server
--> Running transaction check
---> Package mysql-devel.x86_64 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libmysqlclient.so.16()(64bit) for package: php-mysql
--> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16)(64bit) for package: php-mysql
---> Package mysql-libs.x86_64 0:5.5.13-1.el5.remi set to be updated
---> Package mysql-server.x86_64 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1()(64bit) for package: mysql-server
--> Running transaction check
---> Package compat-mysql51.x86_64 0:5.1.54-1.el5.remi set to be updated
---> Package mysql-server.x86_64 0:5.5.13-1.el5.remi set to be updated
--> Processing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) for package: mysql-server
--> Processing Dependency: libaio.so.1()(64bit) for package: mysql-server
--> Finished Dependency Resolution
mysql-server-5.5.13-1.el5.remi.x86_64 from remi has depsolving problems
  --> Missing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) is needed by package mysql-server-5.5.13-1.el5.remi.x86_64 (remi)
mysql-server-5.5.13-1.el5.remi.x86_64 from remi has depsolving problems
  --> Missing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) is needed by package mysql-server-5.5.13-1.el5.remi.x86_64 (remi)
mysql-server-5.5.13-1.el5.remi.x86_64 from remi has depsolving problems
  --> Missing Dependency: libaio.so.1()(64bit) is needed by package mysql-server-5.5.13-1.el5.remi.x86_64 (remi)
Error: Missing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) is needed by package mysql-server-5.5.13-1.el5.remi.x86_64 (remi)
Error: Missing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) is needed by package mysql-server-5.5.13-1.el5.remi.x86_64 (remi)
Error: Missing Dependency: libaio.so.1()(64bit) is needed by package mysql-server-5.5.13-1.el5.remi.x86_64 (remi)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest

Re: Missing Dependency: libaio.so.1 mysql-server-5.5.13-1.el5.remi.x86_64

Please, don't use both remi and atomic.

# rpm -qf /usr/lib64/libaio.so.1
libaio-0.3.106-5
# rpm -q --provides libaio
libaio.so.1()(64bit)  
libaio.so.1(LIBAIO_0.1)(64bit)  
libaio.so.1(LIBAIO_0.4)(64bit)  
libaio.so.1.0.0()(64bit)  
libaio.so.1.0.0(LIBAIO_0.1)(64bit)  
libaio.so.1.0.0(LIBAIO_0.4)(64bit)  
libaio = 0.3.106-5

libaio is a "base" package, so, you must enable this repo.

Desktop: Fedora 33 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 32 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi

Re: Missing Dependency: libaio.so.1 mysql-server-5.5.13-1.el5.remi.x86_64

Remi wrote:

Please, don't use both remi and atomic.

I actually only added it after encountering the issue and have since removed it. smile

Remi wrote:
# rpm -qf /usr/lib64/libaio.so.1
libaio-0.3.106-5
# rpm -q --provides libaio
libaio.so.1()(64bit)  
libaio.so.1(LIBAIO_0.1)(64bit)  
libaio.so.1(LIBAIO_0.4)(64bit)  
libaio.so.1.0.0()(64bit)  
libaio.so.1.0.0(LIBAIO_0.1)(64bit)  
libaio.so.1.0.0(LIBAIO_0.4)(64bit)  
libaio = 0.3.106-5

libaio is a "base" package, so, you must enable this repo.

That was the key! Thanks for your help... MUCH appreciated!